library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

use work.axi3intercon_pkg.all;
use work.axi_aw_router_pkg.all;

entity axi3intecon_aw_router is
	port(
		aclk           : in  std_logic;
		rst            : in  std_logic;
		masters_out    : in  axi_aw_masters_out_t(0 to MASTER_COUNT - 1);
		masters_in     : out axi_aw_masters_in_t(0 to MASTER_COUNT - 1);
		slaves_out     : in  axi_aw_slaves_out_t(0 to SLAVE_COUNT - 1);
		slaves_in      : out axi_aw_slaves_in_t(0 to SLAVE_COUNT - 1);
		write_locks    : out write_locks_t(0 to MASTER_COUNT - 1);
		write_releases : in  write_release_t
	);
end entity axi3intecon_aw_router;

architecture RTL of axi3intecon_aw_router is
begin
end architecture RTL;
